<?php
$dir = dirname(__FILE__);
echo $dir."<br />\n";
function convertDir($path){
	// 既知のディレクトリをオープンし、その内容を読み込みます。
	if (is_dir($path)) {
		if ($dh = opendir($path)) {
			while (($fileName = readdir($dh)) !== false) {
				if( preg_match('/^\\./',$fileName) == 0 ){
					$absPath = $path.'/'.$fileName;
					$fileType = filetype($absPath);
					if( 'dir' == strtolower($fileType) ){
						echo $absPath." : ".$fileType."<br />\n";
						convertDir($absPath);
					} else if( preg_match('/\\.php$/',$fileName) > 0
					|| preg_match('/\\.sql$/',$fileName) > 0
					|| preg_match('/\\.txt$/',$fileName) > 0
					|| preg_match('/\\.tpl$/',$fileName) > 0 ) {
echo $absPath."<br />\n";
						$contents = file_get_contents($absPath);
						$contents = str_replace("\r\n","\n",$contents);
						$contents = str_replace("\n","\r\n",$contents);
						$fp = fopen($absPath,'w');
						if( $fp ){
							if (flock($fp, LOCK_EX)) {
								fwrite($fp,$contents);
								flock($fp, LOCK_UN);
							}
						}
						fclose($fp);
					}
				}
			}
			closedir($dh);
		}
	}
}
convertDir($dir);
?>